Get UI Corridor Rules.
/ui-corridor-rulesAuthorization
oauthBearerToken The access token obtained as a result of OAuth 2.0 flows. SWIFT supports the below OAuth grant type for the two environments where the API is exposed.
- MV-SIPN - jwt-bearer grant type RFC 7523 with Signed JWT assertion
- Internet - jwt-bearer grant type RFC 7523 with Signed JWT assertion
This API uses JWT-Bearer grant type.
Please visit SWIFT OAuth Token API page for more information and examples on how to generate an OAuth token.
In this declaration only the basic security element to transport the bearer token of an OAuth2 process is declared.
In: header
Query Parameters
Provides information on how payments are executed. Payments can be grouped based on the method or mechanism used to transfer funds, the parties involved, and the type of transaction.
"P2P"Describe how the payment is structured (Pay to Account, Pay to Wallet, Pay to Card).
"A2A" | "A2W"Specify the country from which the payment is originating.
^[A-Z]{2,2}$Specify the country to which the payment is to be directed.
^[A-Z]{2,2}$Specify the currency code for the conversion of funds into the designated currency.
^[A-Z]{3,3}$To request a specific historical version, specify the date in the ISO 8601 standard format YYYY-MM-DD. For instance, for a version from the 1st of January 2026, specify:
2026-01-01
The date cannot be in the future. If the date parameter is omitted, the latest version will be returned by default.
dateHeader Parameters
The header is a unique identifier used to track an API request throughout its entire lifecycle. It serves as a "trace" for a given request/response cycle, allowing each system component that handles the request to associate logs, metrics, and actions with the same ID, facilitating debugging, monitoring, and tracing across distributed systems. The id is an uuid as described in IETF RFC 4122 Universally Unique Identifier (UUID) URN Namespace.Pattern - ^[a-f0-9]{8}-[a-f0-9]{4}-4[a-f0-9]{3}-[89ab][a-f0-9]{3}-[a-f0-9]{12}$.
Usage -
- When a consumer makes an API request, the client or API gateway generates a unique trace ID and includes it in the X-Request-ID header.
- If the request does not include a trace ID (e.g., from consumer), a new trace ID should be created by the API Gateway and returned to the client in the response header for future tracking.
uuidResponse Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
{
"$schema": "https://json-schema.org/draft/2020-12/schema",
"$id": "urn:com:swift:payment-preparation:us:es:eur:p2p:a2a:2026-03-04:en",
"title": "Payment Preparation Schema (ES)",
"type": "object",
"x-version-date": "2026-03-04",
"x-owner": "Swift",
"x-last-reviewed": "2026-03-04",
"properties": {
"creditor_name": {
"title": "Beneficiary Name",
"description": "The name by which the beneficiary is known to their servicing institution and is typically used to identify that party.",
"x-Note": "Full name with first name and last name at minimum. No nicknames.",
"type": "string",
"minLength": 2,
"maxLength": 140,
"x-UIErrorMessage": {
"required": "The beneficiary name is mandatory and must be provided in full.",
"minLength": "More than 1 character must be specified.",
"maxLength": "Must not exceed 140 characters."
}
},
"creditor_postal_address": {
"title": "Beneficiary Postal Address",
"description": "Information that identifies the actual, permanent address where a party resides, as defined by postal services.",
"x-Note": "At least one address_line is required, together with town_name and country. Address_line may appear a maximum of two occurrence (max 70 characters per line). Information in town_name and country must not be repeated in address_line under any circumstances.",
"type": "object",
"properties": {
"address_line": {
"title": "Address Information",
"description": "Full address in a single line text format. It should include at minimum the street name, number and postal code.",
"x-Note": "Country and Town Name must not be part of address_line.",
"type": "array",
"maxItems": 2,
"x-UIErrorMessage": {
"required": "Address must be specified.",
"minLength": "More than 1 character must be specified.",
"maxLength": "Must not exceed 70 characters."
},
"items": {
"type": "string",
"minLength": 2,
"maxLength": 70
}
},
"town_name": {
"title": "Town Name",
"description": "Name of a built-up area, with defined boundaries, and a local government.",
"x-Note": "Name of the town or city where the individual resides and where the address is located.",
"type": "string",
"minLength": 2,
"maxLength": 35,
"x-UIErrorMessage": {
"required": "Town must be specified.",
"minLength": "More than 1 character must be specified.",
"maxLength": "Must not exceed 35 character."
}
},
"country": {
"title": "Country",
"description": "Country in which a person resides (the place of a person's home). In the case of a company, it is the country from which the affairs of that company are directed.",
"x-Note": "The country must be validated and matched to a valid ISO 3166.",
"type": "string",
"x-UIErrorMessage": {
"required": "Country must be specified."
}
}
},
"required": [
"address_line",
"town_name",
"country"
]
},
"creditor_account_and_agent": {
"type": "object",
"description": "End source to which funds from a payment transaction are credited.",
"additionalProperties": true,
"oneOf": [
{
"type": "object",
"additionalProperties": false,
"properties": {
"iban": {
"title": "IBAN",
"description": "International Bank Account Number (IBAN).",
"x-Note": "IBAN must comply with standard ISO 13616 (IBAN2007Identifier) and according to the IBAN structure of the issuer country of the account.",
"type": "string",
"pattern": "^ES[0-9]{2}[0-9]{4}[0-9]{4}[0-9]{2}[0-9]{10}$",
"x-UIErrorMessage": {
"required": "Beneficiary Account must be specified.",
"pattern": "IBAN must start with ES followed by 22 digits."
}
}
},
"required": [
"iban"
]
}
]
}
},
"required": [
"creditor_name",
"creditor_postal_address",
"creditor_account_and_agent"
]
}[
{
"severity": "Fatal",
"code": "string",
"text": "string",
"user_message": "string",
"more_info": "http://example.com"
}
][
{
"severity": "Fatal",
"code": "string",
"text": "string",
"user_message": "string",
"more_info": "http://example.com"
}
][
{
"severity": "Fatal",
"code": "string",
"text": "string",
"user_message": "string",
"more_info": "http://example.com"
}
][
{
"severity": "Fatal",
"code": "string",
"text": "string",
"user_message": "string",
"more_info": "http://example.com"
}
][
{
"severity": "Fatal",
"code": "string",
"text": "string",
"user_message": "string",
"more_info": "http://example.com"
}
][
{
"severity": "Fatal",
"code": "string",
"text": "string",
"user_message": "string",
"more_info": "http://example.com"
}
][
{
"severity": "Fatal",
"code": "string",
"text": "string",
"user_message": "string",
"more_info": "http://example.com"
}
][
{
"severity": "Fatal",
"code": "string",
"text": "string",
"user_message": "string",
"more_info": "http://example.com"
}
][
{
"severity": "Fatal",
"code": "string",
"text": "string",
"user_message": "string",
"more_info": "http://example.com"
}
][
{
"severity": "Fatal",
"code": "string",
"text": "string",
"user_message": "string",
"more_info": "http://example.com"
}
][
{
"severity": "Fatal",
"code": "string",
"text": "string",
"user_message": "string",
"more_info": "http://example.com"
}
][
{
"severity": "Fatal",
"code": "string",
"text": "string",
"user_message": "string",
"more_info": "http://example.com"
}
][
{
"severity": "Fatal",
"code": "string",
"text": "string",
"user_message": "string",
"more_info": "http://example.com"
}
]Check and get details of the Payment Pre-validation Data Provider. POST
Check whether the specified party agent is registered as a Data Provider and retrieve all relevant information regarding that Payment Pre-validation Data Provider. This service returns information only for active Data Providers. Identification is based on one or more of the following identifiers: BIC, Clearing System Member Identification, or LEI. When multiple identifiers are provided, the system checks them in the following order of precedence: BIC → Clearing System Member Identification → LEI
Verification of a creditor/beneficiary account. POST
API resource that allows users to verify an account’s existence (identity and status), ownership and type. The verification is completely independent from any payment scheme or payment initiation. The requesting entity is the data consumer which can be a Debtor Agent, a Creditor Agent or a Financial Institution. The responding entity is the data provider which can be a Creditor Agent, a Debtor Agent, or a third party account/name check provider. Usage guideline for Swift Payment Pre-validation: The requesting entity is the data consumer which can only be a Debtor Agent, a Creditor Agent, or a financial institution. Synonym - Creditor: Payee - Debtor: Payer These are the subsets of the ISO 20022 Verification Of Party resources, as used by the SWIFT Beneficiary Account Verification service.